Subject: I-D ACTION:draft-manral-idr-mpls-explicit-null-00.txt

From: [email-masked]
Date: Mon, 11 Feb 2008 13:15:01 -0800 (PST)

A New Internet-Draft is available from the on-line Internet-Drafts 
directories.

	Title		: Connecting IPv6 Islands over IPv4 MPLS networks using IPv6 Provider Edge Routers (6PE-Alt)
	Author(s)	: V. Manral
	Filename	: draft-manral-idr-mpls-explicit-null-00.txt
	Pages		: 14
	Date		: 2008-1-30
	
This document provides an alternate mechanism to [6PE] to interconnect 
IPv6 routes over MPLS-enabled IPv4clouds. This approach relies on IPv6 Provider Edge routers (6PE-Alt) which are Dual Stack in order to connect to IPv6 islands and to the MPLS core which is only required to run IPv4 MPLS.  The 6PE-Alt routers exchange the IPv6 reachability information transparently over the core using the Multi-Protocol Border Gateway Protocol (MP-BGP) over IPv4.  In doing so, the BGP Next Hop field is used to convey the IPv4 address of the 6PE-Alt router so that dynamically established IPv4-signaled MPLS Label Switched Paths (LSPs) can be used without explicit tunnel configuration. Unlike [6PE] case the labels are not sent with each route and does not use BGP to tranport labels [RFC3107]. It instead makes use of the IPv6 Explicit NULL label as the VPN label, which is defined [RFC3032] and updated in [RFC4182]. 

This document elegantly uses the concept of non overlapping IPv6 routes to provide BGP MPLS IP VPN functionality. The document can be further used for provinding the functionality in case of non-overlapping IPv6 routes.

This approach allows a functionality similar to [RFC4659], without the cumbursome extensions required for the same. With the [RFC3879] IPv6 addresses are now globally unique (except for Link local). It also reduces the number of multi AS scenarios.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-manral-idr-mpls-explicit-null-00.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of 
the message. 
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the 
username "anonymous" and a password of your e-mail address. After 
logging in, type "cd internet-drafts" and then 
"get draft-manral-idr-mpls-explicit-null-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-manral-idr-mpls-explicit-null-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
I-D-Announce mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/i-d-announce